﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="aspsample._Default" %>


<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="mainContent">
      <asp:Label ID="lblResult" runat="server" />
      <div>
        <ej:Grid ID="gridDashboard" runat="server" AllowPaging="true">
            <ClientSideEvents ToolbarClick="onToolBarClick" ContextClick="onContextClick"/>
            <EditSettings AllowAdding="True" EditMode="Dialog"></EditSettings>
            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
            <ContextMenuSettings EnableContextMenu="true" ContextMenuItems="Add Record">

            </ContextMenuSettings>
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" />
            </Columns>
        </ej:Grid>
    </div>
       <ej:Dialog ID="dlgAddCRMA" Width="550" runat="server" ShowOnInit="false" Content="#masterForm">
           <DialogContent>
               <ej:Button ID="btnClientClickMe" runat="server" Text="Click me EJ" ClientSideOnClick="ButtonClick" />
               <ej:Button ID="btnClientClick" runat="server" Text="Click me ASP.Net" OnClick="btnClientClick_Click"/>
           </DialogContent>
       </ej:Dialog>
    <asp:Button ID="btnLaunch" runat="server" OnClick="btnLaunch_Click" Text="Click Me"/>
</asp:Content>
<asp:Content runat="server" ID="Content1" ContentPlaceHolderID="ScriptContent">
    <script type="text/javascript">
       
        function ButtonClick() {
            alert("Clicked!");
        };

        function onDialogClose(args) {
            alert("close fired");
            $("#mainContent_dlgAddCRMA").ejDialog({
                enabled: false

            });
            //OnSuccess(); 
        }

        function openWizard() {
            alert("wizard fired");
            $("#mainContent_dlgAddCRMA").ejDialog({
                enabled: true,
                title:"built in wizard"

            });

        }

        function onToolBarClick(args) {
            if (args.itemName == "Add") {
                alert('toolbar fired');
                args.cancel = true; //prevent the default behavior
                $("#mainContent_dlgAddCRMA").data("ejDialog") !== undefined && $("#mainContent_dlgAddCRMA").ejDialog("destroy"); //destroy the dialog if element is created
                var obj = $("#mainContent_gridDashboard").ejGrid("instance");
                if (null == obj)
                    alert('object NULL');
                else {
                    alert('object NOT NULL');
                    openWizard(); // render the dialog 
                }

                //obj._startAdd();
            }

        }
        function onContextClick(args) {
            if (args.text == "Add Record") {
                var obj = $("#MainContent_gridDashboard").ejGrid("instance");
                args.cancel = true; // prevent default behavior
                $("#mainContent_dlgAddCRMA").data("ejDialog") !== undefined && $("#mainContent_dlgAddCRMA").ejDialog("destroy"); //destroy the dialog if element is created
                openWizard(); // render the dialog 

                //obj._startAdd(); // you can use the built in wizard here

            }
        }
    </script>
</asp:Content>

